<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /var/www/src/Parser</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href=".css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href=".css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href=".css/style.css" rel="stylesheet" type="text/css">
  <link href=".css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="index.html">/var/www/src/Parser</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 6.1.4</a> using <a href="https://secure.php.net/" target="_top">PHP 7.1.33</a> with <a href="https://xdebug.org/">Xdebug 2.9.6</a> and <a href="https://phpunit.de/">PHPUnit 7.5.20</a> at Sun Apr 18 0:13:11 UTC 2021.</small>
    </p>
   </footer>
  </div>
  <script src=".js/jquery.min.js" type="text/javascript"></script>
  <script src=".js/d3.min.js" type="text/javascript"></script>
  <script src=".js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([0,0,0,0,0,0,0,0,0,0,0,10], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([0,0,0,0,0,0,0,0,0,0,0,28], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[100,8,"<a href=\"Command\/CliCommand.php.html#23\">Parser\\Command\\CliCommand<\/a>"],[100,5,"<a href=\"Infrastructure\/Dto\/DataModel.php.html#9\">Parser\\Infrastructure\\Dto\\DataModel<\/a>"],[100,4,"<a href=\"Infrastructure\/Dto\/DataModelCollection.php.html#9\">Parser\\Infrastructure\\Dto\\DataModelCollection<\/a>"],[100,1,"<a href=\"Infrastructure\/Factory\/DataModelCollectionFactory.php.html#11\">Parser\\Infrastructure\\Factory\\DataModelCollectionFactory<\/a>"],[100,1,"<a href=\"Infrastructure\/Factory\/DataModelFactory.php.html#11\">Parser\\Infrastructure\\Factory\\DataModelFactory<\/a>"],[100,2,"<a href=\"Infrastructure\/Parser\/FileParser.php.html#11\">Parser\\Infrastructure\\Parser\\FileParser<\/a>"],[100,18,"<a href=\"Infrastructure\/Parser\/XmlParserStrategy.php.html#13\">Parser\\Infrastructure\\Parser\\XmlParserStrategy<\/a>"],[100,9,"<a href=\"Infrastructure\/Redis\/RedisClient.php.html#13\">Parser\\Infrastructure\\Redis\\RedisClient<\/a>"],[100,3,"<a href=\"Infrastructure\/Validator\/XmlValidator.php.html#9\">Parser\\Infrastructure\\Validator\\XmlValidator<\/a>"],[100,2,"<a href=\"Services\/CacheService.php.html#12\">Parser\\Services\\CacheService<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[100,1,"<a href=\"Command\/CliCommand.php.html#35\">Parser\\Command\\CliCommand::__construct<\/a>"],[100,1,"<a href=\"Command\/CliCommand.php.html#45\">Parser\\Command\\CliCommand::configure<\/a>"],[100,6,"<a href=\"Command\/CliCommand.php.html#58\">Parser\\Command\\CliCommand::execute<\/a>"],[100,1,"<a href=\"Infrastructure\/Dto\/DataModel.php.html#26\">Parser\\Infrastructure\\Dto\\DataModel::__construct<\/a>"],[100,1,"<a href=\"Infrastructure\/Dto\/DataModel.php.html#35\">Parser\\Infrastructure\\Dto\\DataModel::getValue<\/a>"],[100,1,"<a href=\"Infrastructure\/Dto\/DataModel.php.html#43\">Parser\\Infrastructure\\Dto\\DataModel::setValue<\/a>"],[100,1,"<a href=\"Infrastructure\/Dto\/DataModel.php.html#51\">Parser\\Infrastructure\\Dto\\DataModel::getKey<\/a>"],[100,1,"<a href=\"Infrastructure\/Dto\/DataModel.php.html#59\">Parser\\Infrastructure\\Dto\\DataModel::setKey<\/a>"],[100,1,"<a href=\"Infrastructure\/Dto\/DataModelCollection.php.html#24\">Parser\\Infrastructure\\Dto\\DataModelCollection::push<\/a>"],[100,1,"<a href=\"Infrastructure\/Dto\/DataModelCollection.php.html#33\">Parser\\Infrastructure\\Dto\\DataModelCollection::getCollection<\/a>"],[100,1,"<a href=\"Infrastructure\/Dto\/DataModelCollection.php.html#41\">Parser\\Infrastructure\\Dto\\DataModelCollection::addLog<\/a>"],[100,1,"<a href=\"Infrastructure\/Dto\/DataModelCollection.php.html#49\">Parser\\Infrastructure\\Dto\\DataModelCollection::getLog<\/a>"],[100,1,"<a href=\"Infrastructure\/Factory\/DataModelCollectionFactory.php.html#16\">Parser\\Infrastructure\\Factory\\DataModelCollectionFactory::create<\/a>"],[100,1,"<a href=\"Infrastructure\/Factory\/DataModelFactory.php.html#18\">Parser\\Infrastructure\\Factory\\DataModelFactory::create<\/a>"],[100,1,"<a href=\"Infrastructure\/Parser\/FileParser.php.html#34\">Parser\\Infrastructure\\Parser\\FileParser::__construct<\/a>"],[100,1,"<a href=\"Infrastructure\/Parser\/FileParser.php.html#46\">Parser\\Infrastructure\\Parser\\FileParser::process<\/a>"],[100,7,"<a href=\"Infrastructure\/Parser\/XmlParserStrategy.php.html#25\">Parser\\Infrastructure\\Parser\\XmlParserStrategy::parseFile<\/a>"],[100,1,"<a href=\"Infrastructure\/Parser\/XmlParserStrategy.php.html#56\">Parser\\Infrastructure\\Parser\\XmlParserStrategy::XMLtoArray<\/a>"],[100,10,"<a href=\"Infrastructure\/Parser\/XmlParserStrategy.php.html#68\">Parser\\Infrastructure\\Parser\\XmlParserStrategy::DOMtoArray<\/a>"],[100,2,"<a href=\"Infrastructure\/Redis\/RedisClient.php.html#20\">Parser\\Infrastructure\\Redis\\RedisClient::__construct<\/a>"],[100,1,"<a href=\"Infrastructure\/Redis\/RedisClient.php.html#34\">Parser\\Infrastructure\\Redis\\RedisClient::initConfig<\/a>"],[100,2,"<a href=\"Infrastructure\/Redis\/RedisClient.php.html#43\">Parser\\Infrastructure\\Redis\\RedisClient::cache<\/a>"],[100,2,"<a href=\"Infrastructure\/Redis\/RedisClient.php.html#61\">Parser\\Infrastructure\\Redis\\RedisClient::set<\/a>"],[100,1,"<a href=\"Infrastructure\/Redis\/RedisClient.php.html#73\">Parser\\Infrastructure\\Redis\\RedisClient::execute<\/a>"],[100,1,"<a href=\"Infrastructure\/Redis\/RedisClient.php.html#82\">Parser\\Infrastructure\\Redis\\RedisClient::get<\/a>"],[100,3,"<a href=\"Infrastructure\/Validator\/XmlValidator.php.html#18\">Parser\\Infrastructure\\Validator\\XmlValidator::isValidContent<\/a>"],[100,1,"<a href=\"Services\/CacheService.php.html#23\">Parser\\Services\\CacheService::__construct<\/a>"],[100,1,"<a href=\"Services\/CacheService.php.html#33\">Parser\\Services\\CacheService::process<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
